Bug 253448 - Uses=kodi for kodi addons
Summary: Uses=kodi for kodi addons
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks: 245259
  Show dependency treegraph
 
Reported: 2021-02-12 07:49 UTC by Bernhard Froehlich
Modified: 2021-02-28 18:24 UTC (History)
5 users (show)

See Also:
decke: maintainer-feedback? (portmgr)


Attachments
Patch for Mk/Uses/kodi.mk (1.48 KB, patch)
2021-02-12 07:49 UTC, Bernhard Froehlich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Froehlich freebsd_committer 2021-02-12 07:49:06 UTC
Created attachment 222382 [details]
Patch for Mk/Uses/kodi.mk

We are at a point where multiple people want to add Addon Ports for multimedia/kodi but we don't have any proper integration in the Ports Framework yet. The main problem is that pkg-plist for addons contains shared objects with the version number of kodi. [1] This means updating kodi (even minor updates) requires to also update all pkg-plists for all existing addons.

The good thing is that addons are a very good candidate for automatic plist creation because they install their files into well defined directories prefixed with the addon name. This is the main selling point for USES=kodi.

In the world of kodi addons there are two types of addons:

(1) native addons (usually C++): There are multiple types (games/libretro, PVR, visualization, screensaver) and I have tested a few of each category to make sure I don't miss any special needs for any of those. 

(2) python based addons: They seem to be fully platform independent so they can easily be installed from the kodi GUI and there is no need to create a port for them at all. They are not supported by this mk.

There are currently 11 addon ports waiting in bugzilla and 3 in the portstree and I have converted most of them already to USES=kodi in my repository. [2]


[1] https://svnweb.freebsd.org/ports/head/multimedia/kodi-addon-pvr-hts/pkg-plist?view=markup
[2] https://github.com/decke/ports/tree/master/games
[2] https://github.com/decke/ports/tree/master/multimedia
Comment 1 Bernhard Froehlich freebsd_committer 2021-02-25 21:44:34 UTC
Could someone from portmgr please approve the new USES=kodi?
Comment 2 Rene Ladan freebsd_committer 2021-02-28 13:51:37 UTC
(In reply to Bernhard Froehlich from comment #1)

You can maintain it yourself if you like, most USES don't need portmgr approval.

LGTM.
Comment 3 commit-hook freebsd_committer 2021-02-28 18:24:07 UTC
A commit references this bug:

Author: decke
Date: Sun Feb 28 18:24:03 UTC 2021
New revision: 566785
URL: https://svnweb.freebsd.org/changeset/ports/566785

Log:
  New USES=kodi for Kodi Home Theater Addons

    Usage:
      USES=kodi[:noautoplist]

    Notes:
      - Addonname should match PORTNAME or you will need to set KODI_ADDON
      - pkg-plist is autogenerated (use USES=kodi:noautoplist to avoid this)
      - essential dependencies are added automatically

  PR:		253448
  Reviewed by:	rene

Changes:
  head/Mk/Uses/kodi.mk
Comment 4 Bernhard Froehlich freebsd_committer 2021-02-28 18:24:40 UTC
Committed. Thanks!